1.0

1.0

post /v1/private-nats/{private_nat_id}/private-nat-ips

Description

Private NAT IP 생성

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_nat_id
required
Private NAT ID
Example :
stringNone
bodybody
required

PrivateNatIpCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedPrivateNatIpShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-nats/{private_nat_id}/private-nat-ips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "ip_address": ""
}

Example HTTP response

Response 201

{
    "private_nat_ip": {
        "attached_resource_id": "",
        "attached_resource_name": "",
        "attached_resource_type": "VM",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "",
        "ip_address": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "private_nat_id": "",
        "state": "RESERVED"
    }
}